import request from '@/utils/request'

// 查询官网自主上报列表
export function listReporting(query) {
    return request({
        url: '/owSelfReporting/findByPage',
        method: 'get',
        params: query
    })
}

// 查询官网自主上报详细
export function getReporting(id) {
    return request({
        url: '/owSelfReporting/' + id,
        method: 'get'
    })
}

// 新增官网自主上报
export function addReporting(data) {
    return request({
        url: '/owSelfReporting',
        method: 'post',
        data: data
    })
}

// 修改官网自主上报
export function updateReporting(data) {
    return request({
        url: '/owSelfReporting',
        method: 'put',
        data: data
    })
}

// 删除官网自主上报
export function delReporting(id) {
    return request({
        url: '/owSelfReporting/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delReportingBatch(ids) {
    console.log(ids);
    return request.post('/owSelfReporting/delete',ids)
}